Uploaded image for project: 'CFEngine Community'
  1. CFEngine Community
  2. CFE-3703

standalone self upgrade policy needs interepreter attribute for package modules

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Done
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 3.15.4, 3.18.0
    • Fix Version/s: 3.15.5, 3.18.1, 3.19.0
    • Component/s: None
    • Labels:
      None

      Description

      In ENT-5752 changes we missed adding interpreter attribute to standalone self upgrade policy.

      So these package module bodies

      https://github.com/cfengine/masterfiles/blob/master/standalone_self_upgrade.cf.in#L951

      need the interpreter path as specified in lib packages here:

      https://github.com/cfengine/masterfiles/blob/master/lib/packages.cf#L74

        Attachments

          Activity

            People

            Assignee:
            a10042 Nick Anderson
            Reporter:
            craig.comstock Craig Comstock
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: